%define modname dav
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A59_%{modname}.ini

Summary:	A PHP WebDAV for PHP
Name:		php-%{modname}
Version:	1.0
Release:	%mkrel 5
Group:		Development/PHP
License:	BSD-like
URL:		http://php-webdav.pureftpd.org/project/php-webdav
Source0:	http://download.pureftpd.org/php-webdav/php-webdav-%{version}.tar.gz
BuildRequires:	php-devel >= 3:5.2.1
BuildRequires:	libneon-devel
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The PHP WebDAV extension allows easy access to remote resources with PHP
through the DAV protocol.

%prep

%setup -q -n dav

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
%serverbuild

phpize --clean
phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d/%{modname}

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS LICENSE README tests
%dir %{_sysconfdir}/php.d/%{modname}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-5mdv2008.0
+ Revision: 77534
- rebuilt against php-5.2.4

* Thu Jun 14 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-4mdv2008.0
+ Revision: 39488
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-3mdv2008.0
+ Revision: 33803
- rebuilt against new upstream version (5.2.3)
- rebuilt against new upstream version (5.2.2)


* Tue Mar 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2007.0
+ Revision: 133867
- Import php-dav

* Tue Mar 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2007.1
- initial Mandriva package

